Uses of Class
com.eqixiac.equinix.fabric.beta.model.AppLinkAppDomainAttachment
Packages that use AppLinkAppDomainAttachment
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of AppLinkAppDomainAttachment in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return AppLinkAppDomainAttachmentModifier and TypeMethodDescriptionAppLinks.attachAppDomain(String appLinkId, String appDomainId) Attach Domain to Link:PUT /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationattachAppDomainToAppLink).AppLinks.detachAppDomain(String appLinkId, String appDomainId) Detach Domain from Link:DELETE /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationdetachAppDomainFromAppLink).AppLinks.getAttachedAppDomain(String appLinkId, String appDomainId) Get Attached Domain for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationgetAttachedAppDomainByUuid).Methods in com.eqixiac.equinix.fabric.beta.client that return types with arguments of type AppLinkAppDomainAttachmentModifier and TypeMethodDescriptionAppLinks.searchAttachedAppDomains(String appLinkId) Search Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).AppLinks.searchAttachedAppDomains(String appLinkId, FilterPropertyList filter) Search Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).AppLinks.searchAttachedAppDomains(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Search Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains). -
Uses of AppLinkAppDomainAttachment in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return AppLinkAppDomainAttachmentModifier and TypeMethodDescriptionAppLinksImpl.attachAppDomain(String appLinkId, String appDomainId) AppLinksImpl.detachAppDomain(String appLinkId, String appDomainId) AppLinksImpl.getAttachedAppDomain(String appLinkId, String appDomainId) Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return types with arguments of type AppLinkAppDomainAttachmentModifier and TypeMethodDescriptionAppLinksImpl.searchAttachedAppDomains(String appLinkId) AppLinksImpl.searchAttachedAppDomains(String appLinkId, FilterPropertyList filter) AppLinksImpl.searchAttachedAppDomains(String appLinkId, FilterPropertyList filter, SortPropertyList sort)